Bug 182525 - [maintainer-update] Support staging of audio/wildmidi
Summary: [maintainer-update] Support staging of audio/wildmidi
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-30 22:20 UTC by SimaMoto,RyōTa
Modified: 2013-10-23 11:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.68 KB, patch)
2013-09-30 22:20 UTC, SimaMoto,RyōTa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SimaMoto,RyōTa 2013-09-30 22:20:00 UTC
Support staging for audio/wildmidi

My mail address is changed because former one had
been banned.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-09-30 22:20:32 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-09-30 22:20:33 UTC
Maintainer of audio/wildmidi,

Please note that PR ports/182525 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182525

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-09-30 22:20:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 SimaMoto,RyōTa 2013-10-18 15:14:44 UTC
The original maintainer <liangtai.s4@gmail.com> will NOT
reply to my report because it is me.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-10-19 18:50:12 UTC
State Changed
From-To: feedback->open

Submitter is maintainer from another address.
Comment 6 dfilter service freebsd_committer 2013-10-23 10:59:26 UTC
Author: tijl
Date: Wed Oct 23 09:59:18 2013
New Revision: 331360
URL: http://svnweb.freebsd.org/changeset/ports/331360

Log:
  - Change maintainer email address (lost access to previous one).
  - Support staging.
  - Disable optimisation flags that clang does not support.
  - Silence post-patch.
  
  PR:		ports/182525
  Submitted by:	RyoTa SimaMoto <liangtai.s16@gmail.com> (maintainer)

Added:
  head/audio/wildmidi/pkg-plist   (contents, props changed)
Modified:
  head/audio/wildmidi/Makefile
Directory Properties:
  head/audio/wildmidi/distinfo   (props changed)
  head/audio/wildmidi/pkg-descr   (props changed)

Modified: head/audio/wildmidi/Makefile
==============================================================================
--- head/audio/wildmidi/Makefile	Wed Oct 23 09:33:10 2013	(r331359)
+++ head/audio/wildmidi/Makefile	Wed Oct 23 09:59:18 2013	(r331360)
@@ -1,4 +1,3 @@
-# Created by: SimaMoto,RyoTa <liangtai.s4@gmail.com>
 # $FreeBSD$
 
 PORTNAME=	wildmidi
@@ -7,8 +6,8 @@ PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
 
-MAINTAINER=	liangtai.s4@gmail.com
-COMMENT=	A simple software midi player and a core softsynth library
+MAINTAINER=	liangtai.s16@gmail.com
+COMMENT=	Simple software midi player and core softsynth library
 
 # player: GPLv3, library: LGPL3
 LICENSE=	GPLv3 LGPL3
@@ -16,31 +15,25 @@ LICENSE_COMB=	multi
 
 MAKE_JOBS_UNSAFE=	yes
 
-UDES=		gmake
-NO_STAGE=	yes
+USES=		compiler gmake
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
 
-MAN1=		wildmidi.1
-MAN3=		WildMidi_GetString.3 WildMidi_Init.3 WildMidi_MasterVolume.3 \
-		WildMidi_Open.3 WildMidi_OpenBuffer.3 WildMidi_GetOutput.3 \
-		WildMidi_SetOption.3 WildMidi_GetInfo.3 WildMidi_FastSeek.3 \
-		WildMidi_Close.3 WildMidi_Shutdown.3
-MAN5=		wildmidi.cfg.5
-PLIST_FILES=	bin/wildmidi include/wildmidi_lib.h \
-		lib/libWildMidi.la lib/libWildMidi.so.2 lib/libWildMidi.so
+.include <bsd.port.pre.mk>
+
+.if ${COMPILER_TYPE} == clang
+CONFIGURE_ARGS+=	--disable-optimize
+.endif
 
 post-patch:
-		${REINPLACE_CMD} 's@/etc/@${DATADIR}/@' \
+		@${REINPLACE_CMD} -e 's@/etc/@${DATADIR}/@' \
 			${WRKSRC}/docs/wildmidi.1 \
 			${WRKSRC}/docs/wildmidi.cfg.5
-		${REINPLACE_CMD} -e 's@/usr/local/share/wildmidi/@${DATADIR}/@' \
+		@${REINPLACE_CMD} -e 's@/usr/local/share/wildmidi/@${DATADIR}/@' \
 			-e 's@default_timifityconf@default_wildmidiconf@' \
-			-e 's@-fexpensive-optimizations@@g' \
-			-e 's@-finline-limit=32000@@g' \
-			-e 's@-frename-registers@@g' \
+			-e 's@$${\(.*\)-unset} = unset@x"$${\1}" = x@' \
 			${WRKSRC}/configure
-		${REINPLACE_CMD} -e '/WM_MixerOptions/s/ \&\& / \& /' \
+		@${REINPLACE_CMD} -e '/WM_MixerOptions/s/ \&\& / \& /' \
 			${WRKSRC}/src/wildmidi_lib.c
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Added: head/audio/wildmidi/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/wildmidi/pkg-plist	Wed Oct 23 09:59:18 2013	(r331360)
@@ -0,0 +1,18 @@
+bin/wildmidi
+include/wildmidi_lib.h
+lib/libWildMidi.la
+lib/libWildMidi.so.2
+lib/libWildMidi.so
+man/man1/wildmidi.1.gz
+man/man3/WildMidi_Close.3.gz
+man/man3/WildMidi_FastSeek.3.gz
+man/man3/WildMidi_GetInfo.3.gz
+man/man3/WildMidi_GetOutput.3.gz
+man/man3/WildMidi_GetString.3.gz
+man/man3/WildMidi_Init.3.gz
+man/man3/WildMidi_MasterVolume.3.gz
+man/man3/WildMidi_Open.3.gz
+man/man3/WildMidi_OpenBuffer.3.gz
+man/man3/WildMidi_SetOption.3.gz
+man/man3/WildMidi_Shutdown.3.gz
+man/man5/wildmidi.cfg.5.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Tijl Coosemans freebsd_committer 2013-10-23 11:00:00 UTC
State Changed
From-To: open->closed

Committed in r331360 (but test COMPILER_TYPE instead of USE_GCC). 


Comment 8 Tijl Coosemans freebsd_committer 2013-10-23 11:00:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

Committed in r331360 (but test COMPILER_TYPE instead of USE_GCC).